# delete\_assets

`imerit_ango.sdk.SDK.`

## delete\_assets(project\_id, asset\_ids)

Delete assets from your project.

### Parameters

* **project\_id:** string
  * The unique identifier for the project. You can find the project ID in [the user interface](/sdk/sdk-documentation.md#project-ids) or retrieve it using the [`list_projects`](/sdk/sdk-documentation/project-level-sdk-functions/list_projects.md) function.
* **asset\_ids:** List\[str]
  * A list of asset IDs to be deleted

Returns:

* **output:** dict
  * A dictionary containing the result of the operation.
  * Including a `status` field indicating whether the request was successful and a `data` field containing the response payload with updated resources produced by the operation.

### Example

{% tabs %}
{% tab title="python" %}

```python
import os
from dotenv import load_dotenv
from imerit_ango.sdk import SDK

load_dotenv('variables.env')
api_key = os.getenv('API_KEY')
project_id = os.getenv('PROJECT_ID')

ango_sdk = SDK(api_key)

asset_id_list = ["asset_id_1", "asset_id_2"]
sdk_response = ango_sdk.delete_assets(project_id=project_id, asset_ids=asset_id_list)
```

{% endtab %}

{% tab title="curl" %}

```bash
curl -X DELETE "https://imeritapi.ango.ai/v2/project/$PROJECT_ID/assets" \
  -H "Content-Type: application/json" \
  -H "apikey: $ANGO_API_KEY" \
  -d '{
    "assets": ["asset_id_1", "asset_id_2"],
    "project": "$PROJECT_ID"
  }'

```

{% endtab %}
{% endtabs %}

<details>

<summary>Sample Output</summary>

```
{'status': 'success', 'data': {'assets': ['asset_id_1', 'asset_id_2']}}
```

</details>

{% hint style="info" %}
**See also**

[get\_assets](/sdk/sdk-documentation/project-level-sdk-functions/get_assets.md)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.imerit.net/sdk/sdk-documentation/project-level-sdk-functions/delete_assets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
